Bug 53911 - Many common words missing from Norwegian dictionary
Many common words missing from Norwegian dictionary
Product: Red Hat Linux
Classification: Retired
Component: aspell-no (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-21 08:58 EDT by Toralf
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-11 05:12:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Example text (1.65 KB, text/plain)
2001-09-21 08:59 EDT, Toralf
no flags Details
Aspell wordlist; a result of using updated dictionary very briefly (228 bytes, text/plain)
2001-10-04 09:11 EDT, Toralf
no flags Details
Updated version of wordlist (372 bytes, text/plain)
2001-10-11 05:01 EDT, Toralf
no flags Details

  None (edit)
Description Toralf 2001-09-21 08:58:32 EDT
Description of Problem:
When spellchecking norwegian texts, errors are reported for many correctly
spelled words, even ones that are very common.

Version-Release number of selected component (if applicable):
aspell-no-0.2-1 or aspell-no-0.2-3

How Reproducible:
Every time

Steps to Reproduce:
1. aspell --language-tag=no -H check aspell-no.txt (see attachment.)

Actual Results:
Several words reported as misspelled, including common ones like "fra"
(meaning "from") and "fulgt" (meaning "followed")

Expected Results:
No errors; this text is taken from the web pages of Norsk Sprekred (The
Norwegian Language Council), so I'm assuming the spelling is correct. 

Additional Information:
Comment 1 Toralf 2001-09-21 08:59:49 EDT
Created attachment 32338 [details]
Example text
Comment 2 Trond Eivind Glomsrxd 2001-09-24 12:48:10 EDT
Sprakradet is the entity okaying "poebb", "roesj" and "soervis", so take
whatever comes from them with a big grain of salt.

That said, I've added the missing words to aspell-no-0.2-4.
Comment 3 Toralf 2001-10-04 09:07:33 EDT
The problem is that plenty of other words are missing, too. The point is really
that some of these are so common that I refuse to believe that they were left
out from the original wordlist. In other words, I believe there is *something*
wrong with the way the package is built, so adding some more words is not a
proper solution to the problem.
Comment 4 Toralf 2001-10-04 09:11:32 EDT
Created attachment 33360 [details]
Aspell wordlist; a result of using updated dictionary very briefly
Comment 5 Toralf 2001-10-11 05:01:24 EDT
Created attachment 33841 [details]
Updated version of wordlist
Comment 6 Toralf 2001-10-11 05:12:23 EDT
I think the following test is quite interesting:

   mv .aspell.norwegian.pws aspell.txt
   aspell --language-tag=no list < aspell.txt

This normally lists the complete contents of the wordlist, of course, but if I do
   rpm -Uvh /mnt/cdrom/RedHat/RPMS/aspell-no-0.1-8.i386.rpm --force
whith Red Hat 7.0 Disc 2 inserted, then repeat, all I get is
% aspell --language-tag=no list < aspell.txt

In other words, most of the words missing in the Red Hat 7.1 and current Raw
Hide versions of aspell-no were actually there in the Red Hat 7.0 release.
Comment 7 Trond Eivind Glomsrxd 2002-01-23 15:50:55 EST
aspell-no-0.3-1 should have this, and more

Note You need to log in before you can comment on or make changes to this bug.